Skip to main content
`Ctrl`+`K`

# MatCoarsenGetData

Gets the weights for vertices for a coarsener.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenGetData(MatCoarsen coarser, PetscCoarsenData **llist)

Logically Collective, No Fortran Support

## Input Parameter

- coarser - the coarsen context

## Output Parameter

- llist - linked list of aggregates

## Note

This passes ownership to the caller and nullifies the value of weights (`PetscCoarsenData`) within the `MatCoarsen`

## See Also

`MatCoarsen`, `MatCoarsenApply()`, `MatCoarsenCreate()`, `MatCoarsenSetType()`, `PetscCoarsenData`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages